Skip to main content
GET
/
apps
/
{appId}
/
extensions
/
message-shortcuts
/
v1
/
settings
Message Shortcuts Get settings
curl --request GET \
  --url https://apimgmt.cometchat.io/apps/{appId}/extensions/message-shortcuts/v1/settings \
  --header 'key: <key>' \
  --header 'secret: <secret>'
import requests

url = "https://apimgmt.cometchat.io/apps/{appId}/extensions/message-shortcuts/v1/settings"

headers = {
"key": "<key>",
"secret": "<secret>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {key: '<key>', secret: '<secret>'}};

fetch('https://apimgmt.cometchat.io/apps/{appId}/extensions/message-shortcuts/v1/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "statusCode": 200,
    "success": true,
    "responseTime": 1.8547508716583252,
    "body": {
      "data": {
        "settings": {
          "shortcuts": {
            "!cu": "See you later.",
            "!ty": "Hey! Thanks a lot! 😊",
            "!hbd": "Happy Birthday! 🥳",
            "!ssup": "What's up!?",
            "!wc": "You're welcome!"
          }
        }
      }
    }
  }
}

Headers

key
string
required

Authorization Key

secret
string
required

Authorization Secret

Path Parameters

appId
string
required

AppID in which the extension has to be enabled/disabled

Response

200 - application/json

Get Message Shortcuts Settings

data
object